Shell
curl --compressed "https://api.coinmetrics.io/v4/catalog-all/index-candles?pretty=true&api_key=<your_key>"import requests
response = requests.get('https://api.coinmetrics.io/v4/catalog-all/index-candles?pretty=true&api_key=<your_key>').json()
print(response)
const options = {method: 'GET'};
fetch('https://api.coinmetrics.io/v4/catalog-all/index-candles?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coinmetrics.io/v4/catalog-all/index-candles?api_key=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coinmetrics.io/v4/catalog-all/index-candles?api_key="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coinmetrics.io/v4/catalog-all/index-candles?api_key=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coinmetrics.io/v4/catalog-all/index-candles?api_key=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"index": "CMBIBTC",
"frequencies": [
{
"frequency": "1m",
"min_time": "2022-06-28T13:51:00.000000000Z",
"max_time": "2022-07-15T15:55:00.000000000Z"
},
{
"frequency": "5m",
"min_time": "2022-06-28T13:50:00.000000000Z",
"max_time": "2022-07-15T15:50:00.000000000Z"
},
{
"frequency": "10m",
"min_time": "2022-06-28T13:50:00.000000000Z",
"max_time": "2022-07-15T15:40:00.000000000Z"
},
{
"frequency": "15m",
"min_time": "2022-06-28T13:45:00.000000000Z",
"max_time": "2022-07-15T15:30:00.000000000Z"
},
{
"frequency": "30m",
"min_time": "2022-06-28T13:30:00.000000000Z",
"max_time": "2022-07-15T15:00:00.000000000Z"
},
{
"frequency": "1h",
"min_time": "2022-06-28T13:00:00.000000000Z",
"max_time": "2022-07-15T14:00:00.000000000Z"
},
{
"frequency": "4h",
"min_time": "2022-06-28T12:00:00.000000000Z",
"max_time": "2022-07-15T08:00:00.000000000Z"
},
{
"frequency": "1d",
"min_time": "2022-06-28T00:00:00.000000000Z",
"max_time": "2022-07-14T00:00:00.000000000Z"
}
]
},
{
"index": "CMBIETHT",
"frequencies": [
{
"frequency": "1m",
"min_time": "2022-06-28T13:51:00.000000000Z",
"max_time": "2022-07-15T15:55:00.000000000Z"
},
{
"frequency": "5m",
"min_time": "2022-06-28T13:50:00.000000000Z",
"max_time": "2022-07-15T15:50:00.000000000Z"
},
{
"frequency": "10m",
"min_time": "2022-06-28T13:50:00.000000000Z",
"max_time": "2022-07-15T15:40:00.000000000Z"
},
{
"frequency": "15m",
"min_time": "2022-06-28T13:45:00.000000000Z",
"max_time": "2022-07-15T15:30:00.000000000Z"
},
{
"frequency": "30m",
"min_time": "2022-06-28T13:30:00.000000000Z",
"max_time": "2022-07-15T15:00:00.000000000Z"
},
{
"frequency": "1h",
"min_time": "2022-06-28T13:00:00.000000000Z",
"max_time": "2022-07-15T14:00:00.000000000Z"
},
{
"frequency": "4h",
"min_time": "2022-06-28T12:00:00.000000000Z",
"max_time": "2022-07-15T08:00:00.000000000Z"
},
{
"frequency": "1d",
"min_time": "2022-06-28T00:00:00.000000000Z",
"max_time": "2022-07-14T00:00:00.000000000Z"
}
]
}
]
}Full catalog (deprecated)
Supported index candles
deprecated
Returns a list of all supported index candles along with the time ranges of available data per candle duration.
GET
/
catalog-all
/
index-candles
Shell
curl --compressed "https://api.coinmetrics.io/v4/catalog-all/index-candles?pretty=true&api_key=<your_key>"import requests
response = requests.get('https://api.coinmetrics.io/v4/catalog-all/index-candles?pretty=true&api_key=<your_key>').json()
print(response)
const options = {method: 'GET'};
fetch('https://api.coinmetrics.io/v4/catalog-all/index-candles?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coinmetrics.io/v4/catalog-all/index-candles?api_key=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coinmetrics.io/v4/catalog-all/index-candles?api_key="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coinmetrics.io/v4/catalog-all/index-candles?api_key=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coinmetrics.io/v4/catalog-all/index-candles?api_key=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"index": "CMBIBTC",
"frequencies": [
{
"frequency": "1m",
"min_time": "2022-06-28T13:51:00.000000000Z",
"max_time": "2022-07-15T15:55:00.000000000Z"
},
{
"frequency": "5m",
"min_time": "2022-06-28T13:50:00.000000000Z",
"max_time": "2022-07-15T15:50:00.000000000Z"
},
{
"frequency": "10m",
"min_time": "2022-06-28T13:50:00.000000000Z",
"max_time": "2022-07-15T15:40:00.000000000Z"
},
{
"frequency": "15m",
"min_time": "2022-06-28T13:45:00.000000000Z",
"max_time": "2022-07-15T15:30:00.000000000Z"
},
{
"frequency": "30m",
"min_time": "2022-06-28T13:30:00.000000000Z",
"max_time": "2022-07-15T15:00:00.000000000Z"
},
{
"frequency": "1h",
"min_time": "2022-06-28T13:00:00.000000000Z",
"max_time": "2022-07-15T14:00:00.000000000Z"
},
{
"frequency": "4h",
"min_time": "2022-06-28T12:00:00.000000000Z",
"max_time": "2022-07-15T08:00:00.000000000Z"
},
{
"frequency": "1d",
"min_time": "2022-06-28T00:00:00.000000000Z",
"max_time": "2022-07-14T00:00:00.000000000Z"
}
]
},
{
"index": "CMBIETHT",
"frequencies": [
{
"frequency": "1m",
"min_time": "2022-06-28T13:51:00.000000000Z",
"max_time": "2022-07-15T15:55:00.000000000Z"
},
{
"frequency": "5m",
"min_time": "2022-06-28T13:50:00.000000000Z",
"max_time": "2022-07-15T15:50:00.000000000Z"
},
{
"frequency": "10m",
"min_time": "2022-06-28T13:50:00.000000000Z",
"max_time": "2022-07-15T15:40:00.000000000Z"
},
{
"frequency": "15m",
"min_time": "2022-06-28T13:45:00.000000000Z",
"max_time": "2022-07-15T15:30:00.000000000Z"
},
{
"frequency": "30m",
"min_time": "2022-06-28T13:30:00.000000000Z",
"max_time": "2022-07-15T15:00:00.000000000Z"
},
{
"frequency": "1h",
"min_time": "2022-06-28T13:00:00.000000000Z",
"max_time": "2022-07-15T14:00:00.000000000Z"
},
{
"frequency": "4h",
"min_time": "2022-06-28T12:00:00.000000000Z",
"max_time": "2022-07-15T08:00:00.000000000Z"
},
{
"frequency": "1d",
"min_time": "2022-06-28T00:00:00.000000000Z",
"max_time": "2022-07-14T00:00:00.000000000Z"
}
]
}
]
}
